Fix cloud-images.rst generation script 61/91961/1
authorThanh Ha <zxiiro@gmail.com>
Fri, 7 Aug 2020 21:28:12 +0000 (17:28 -0400)
committerThanh Ha <zxiiro@gmail.com>
Fri, 7 Aug 2020 21:43:37 +0000 (17:43 -0400)
The script failed at some point back in April and generated an empty
list of cloud images that was not noticed until now. This patch fixes
that script so that we have documented supported images again.

The macro lf-infra-pre-build is able to install all the tools we need
for this job so utilize that rather than maintaining our own virtualenv
and openstack installation.

Issue: RELENG-153
Change-Id: I49c750e8051d605bf8526c73b6c8bd808f05a550
Signed-off-by: Thanh Ha <zxiiro@gmail.com>
jjb/opendaylight-infra-update-image-list.sh
jjb/releng-jobs.yaml

index 1122dbd609e4dc9c78ad7ac799e39e4aa4adaf45..bc507cda592d64cdb830bf15531076b5f71b7f94 100644 (file)
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -l
 # SPDX-License-Identifier: EPL-1.0
 ##############################################################################
 # Copyright (c) 2017 The Linux Foundation and others.
@@ -9,15 +9,10 @@
 # http://www.eclipse.org/legal/epl-v10.html
 ##############################################################################
 
-virtualenv "/tmp/v/openstack"
-# shellcheck source=/tmp/v/openstack/bin/activate disable=SC1091
-source "/tmp/v/openstack/bin/activate"
-pip install --upgrade --quiet "pip<10.0.0" setuptools
-pip install --upgrade --quiet python-openstackclient
-pip freeze
+set -e -o pipefail
 
 cat > "$WORKSPACE/docs/cloud-images.rst" << EOF
-Following are the list of published images available to be used with Jenkins jobs.
+Following are the list of published images available to Jenkins jobs.
 
 EOF
 # Blank line before EOF is on purpose to ensure there is spacing.
index b2a332e6181d5d001b30a8780e9c140a5ab38e2a..a832fc1f1504b5bcf755be9eda9259c6d3e210e0 100644 (file)
@@ -21,7 +21,8 @@
       - builder-copy-sandbox-logs
       - gerrit-tox-verify
       # Automation for docs and jobs
-      - 'builder-update-image-list'
+      - "builder-update-image-list":
+          archive-artifacts: docs/cloud-images.rst
       - gerrit-info-yaml-verify
 
     # The following values are only specified here
       - timed: '0 11 * * 1-5'
 
     builders:
+      - lf-infra-pre-build
       - shell: !include-raw-escape: opendaylight-infra-update-image-list.sh
       - lf-infra-push-gerrit-patch:
           project: '{project}'